Articles of npm

Node.js – SyntaxError: Importação de token inesperado

Eu não entendo o que está errado. Nó v5.6.0 NPM v3.10.6 Meu código: (function (exports, require, module, __filename, __dirname) { import express from ‘express’; Erro: SyntaxError: Unexpected token import at exports.runInThisContext (vm.js:53:16) at Module._compile (module.js:387:25) at Object.Module._extensions..js (module.js:422:10) at Module.load (module.js:357:32) at Function.Module._load (module.js:314:12) at Function.Module.runMain (module.js:447:10) at startup (node.js:140:18) at node.js:1001:3

npm não funciona – “leia ECONNRESET”

Estou tendo um problema com o npm, não consigo instalar nada. Aqui estão as mensagens de erro: C:\Windows\system32>npm install -g yo npm http GET https://registry.npmjs.org/yo npm http GET https://registry.npmjs.org/yo npm http GET https://registry.npmjs.org/yo npm ERR! network read ECONNRESET npm ERR! network This is most likely not a problem with npm itself npm ERR! network and […]

Como pode resolver npm UNMET PEER DEPENDENCY?

Eu estou no Windows 10, Node versão 5.6.0 e npm versão 3.6.0. Tentando instalar o material angular e mdi na minha pasta de trabalho. npm install angular-material mdi me dá as seguintes mensagens de erro: + – angular@1.5.0 + – UNMET DEPENDÊNCIA DE PEER angular-animate@^1.5.0 + – UNMET DEPENDÊNCIA DO PEER angular-aria@^1.5.0 + – angular-material@1.0.6 […]

Usando npm atrás do proxy corporativo .pac

Eu preciso baixar vários pacotes através do npm, mas a nossa configuração de proxy corporativo é um arquivo .pac (estou no Windows) Eu já tentei npm config set proxy http://mydomain\username:password@1.2.3.4:8181/proxy.pac npm config set https-proxy http://mydomain\username:password@1.2.3.4:8181/proxy.pac ou npm config set proxy http://1.2.3.4:8181/proxy.pac npm config set https-proxy http://1.2.3.4:8181/proxy.pac mas não funciona … alguma sugestão? obrigado

Angular2 QuickStart npm start não está funcionando corretamente

Eu sei que o Angular2 beta acaba de ser lançado, mas não consigo reproduzir os passos do tutorial do site oficial ( https://angular.io/guide/quickstart ). Talvez alguém tenha tido problemas semelhantes e saiba o que fazer para consertar isso? Quando tento iniciar o aplicativo com o comando npm start , recebo uma saída assim: 0 info […]

Como faço para instalar uma versão anterior de um pacote npm?

Eu usei o nvm para baixar o nó v0.4.10 e instalei o npm para trabalhar com essa versão do nó. Eu estou tentando instalar usando expresso npm install express -g e recebo um erro que expressa requer versão do nó> = 0.5.0. Bem, isso é estranho, já que estou seguindo as instruções para um tutorial […]

Como instalar o npm em um diretório especificado?

É possível especificar um diretório de destino ao executar o npm install ?

Instalação global do NPM “não é possível encontrar o módulo”

Eu escrevi um módulo que publiquei no npm há pouco (https://npmjs.org/package/wisp) Por isso, instala bem a partir da linha de comando: $ npm i -g wisp No entanto, quando eu o executo a partir da linha de comando, continuo recebendo um erro que o otimista não está instalado: $ wisp Error: Cannot find module ‘optimist’ […]

Qual é o significado do prefixo “at” (@) nos pacotes npm?

Na documentação do Angular Component Router, eu simplesmente tropecei em um comando npm que nunca vi antes e não entendo o que está acontecendo: npm install @angular/router –save Qual é o significado de @angular/router ? A string inteira é um nome de pacote? Mas então eu não encontro esse pacote quando eu uso a pesquisa […]

xcode-select active active directory error

Vi o seguinte erro ao executar uma npm install que requeria o node-gyp … mas poderia ser acionado por qualquer coisa que requer xcode-select . xcode-select: erro: a ferramenta ‘xcodebuild’ requer o Xcode, mas o diretório ativo do desenvolvedor ‘/ Library / Developer / CommandLineTools’ é uma instância de ferramentas de linha de comando Qual […]